import java.util.*;
import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;
import javax.swing.*;

public class equilibrium2
{
  public static void main(String arg[])
  {   String s[]={"co","o2","co2"};
      double N[][]={{1.0,0.0},{0.5,0.0},{0,1}};
      chemicalReaction r[]=new chemicalReaction[1];
      r[0]=new chemicalReaction("r1",s,N);
      double Tproduct=3000.0;//degree K
      double Treactant=3000.0;//degree K
      double n0[]={1,1,0,1.88};
      double P=1.01325;//bar
      String s1[]={"co","o2","co2","n2"};
	  f_equilibrium fe=new f_equilibrium(n0,s1,r,Treactant,Tproduct,P);  
	  double n[]={0.3,0.3,0.3,0.3};
	  double [] r1= continuity.continuationRK6(fe,n,10);
      fe.equilibrium_print(r1);
  }
}
